rpm: rpmlib.h File Reference

rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Variables
rpmlib.h File Reference
Command Line API. | RPMRC. | Database API. | Signature API. | Header API.

In Memoriam: Steve Taylor <staylor@redhat.com> was here, now he's not. More...

`#include <popt.h>`
`#include <rpm/rpmio.h>`
`#include <rpm/header.h>`
`#include <rpm/rpmtag.h>`
`#include <rpm/rpmds.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmlib.h:

Go to the source code of this file.

## Variables
struct rpmMacroContext_s * | rpmGlobalMacroContext
struct rpmMacroContext_s * | rpmCLIMacroContext
const char *const | RPMVERSION
const char *const | rpmNAME
const char *const | rpmEVR
const int | rpmFLAGS
## RPMRC
#define | RPM_MACHTABLE_COUNT 4
enum | rpm_machtable_e { RPM_MACHTABLE_INSTARCH = 0, RPM_MACHTABLE_INSTOS = 1, RPM_MACHTABLE_BUILDARCH = 2, RPM_MACHTABLE_BUILDOS = 3 }
| Build and install arch/os table identifiers. More...
int | rpmReadConfigFiles (const char *file, const char *target)
| Read macro configuration file(s) for a target.
void | rpmGetArchInfo (const char **name, int *num)
| Return current arch name and/or number.
void | rpmGetOsInfo (const char **name, int *num)
| Return current os name and/or number.
int | rpmMachineScore (int type, const char *name)
| Return arch/os score of a name.
int | rpmShowRC (FILE *fp)
| Display current rpmrc (and macro) configuration.
void | rpmFreeRpmrc (void)
| Destroy rpmrc arch/os compatibility tables.
int | rpmVersionCompare (Header first, Header second)
| Compare headers to determine which header is "newer".
rpmRC | headerCheck (rpmts ts, const void *uh, size_t uc, char **msg)
| Check header consistency, performing headerGetEntry() the hard way.
rpmRC | rpmReadHeader (rpmts ts, FD_t fd, Header *hdrp, char **msg)
| Return checked and loaded header.
rpmRC | rpmReadPackageFile (rpmts ts, FD_t fd, const char *fn, Header *hdrp)
| Return package header from file handle, verifying digests/signatures.
rpmRC | rpmInstallSourcePackage (rpmts ts, FD_t fd, char **specFilePtr, char **cookie)
| Install source package.
int | rpmvercmp (const char *a, const char *b)
| Segmented string compare for version or release strings.

## Detailed Description

In Memoriam: Steve Taylor <staylor@redhat.com> was here, now he's not.

Definition in file rpmlib.h.

## Define Documentation

#define RPM_MACHTABLE_COUNT 4

No. of arch/os tables.

Definition at line 51 of file rpmlib.h.

## Function Documentation

rpmRC rpmInstallSourcePackage | ( | rpmts | ts,
|  | FD_t | fd,
|  | char ** | specFilePtr,
|  | char ** | cookie
| ) |  |

Install source package.

Parameters:

  ts | transaction set
  fd | file handle

Return values:

  specFilePtr | address of spec file name (or NULL)
  cookie | address of cookie pointer (or NULL)

Returns:
  rpmRC return code

int rpmvercmp | ( | const char * | a,
|  | const char * | b
| ) |  |

Segmented string compare for version or release strings.

Parameters:

  a | 1st string
  b | 2nd string

Returns:
  +1 if a is "newer", 0 if equal, -1 if b is "newer"

int rpmVersionCompare | ( | Header | first,
|  | Header | second
| ) |  |

Compare headers to determine which header is "newer".

Parameters:

  first | 1st header
  second | 2nd header

Returns:
  result of comparison

## Variable Documentation

struct rpmMacroContext_s* rpmCLIMacroContext

const char* const rpmEVR

Referenced by printVersion().

const int rpmFLAGS

struct rpmMacroContext_s* rpmGlobalMacroContext

const char* const rpmNAME

const char* const RPMVERSION